Skip to Content
homemade
Dashboard

Validate a project config

POST
/api/config/validate

Checks a .homemade/config.json or .jsonc file against the config schema. .ts and .js configs are checked at the first build instead.

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Request Body

application/json
  1. body
content*string
Lengthlength <= 262144
path*string
Value in".homemade/config.ts"".homemade/config.js"".homemade/config.jsonc"".homemade/config.json"

Response Body

The verdict; error says what is wrong.

application/json
  1. response
error?string

Why the file is invalid (present when ok is false).

ok*boolean
path*string
Value in".homemade/config.ts"".homemade/config.js"".homemade/config.jsonc"".homemade/config.json"
Example Request
curl -X POST 'https://api.homemade.dev/api/config/validate' \  -H 'Content-Type: application/json' \  -d '{  "content": "string",  "path": ".homemade/config.ts"}'
Example Response
{  "error": "string",  "ok": true,  "path": ".homemade/config.ts"}